.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.40.4.
.TH DDIFF "1" "July 2012" "dateutils 0.2.2" "User Commands"
.SH NAME
ddiff \- manual page for ddiff 0.2.2
.SH SYNOPSIS
.B ddiff
[\fIOPTION\fR]... \fIDATE \fR[\fIDATEs\fR]
.SH DESCRIPTION
ddiff 0.2.2
.PP
Compute duration from DATE to the other DATEs given and print the result as
duration, if DATEs are omitted read a list of DATEs from stdin.
.PP
DATE can also be one of the following specials:
\- `now', interpreted as the current (UTC) time stamp
\- `time', the time part of the current (UTC) time stamp
\- `today', the current date (according to UTC)
\- `tomo[rrow]', tomorrow's date (according to UTC)
\- `y[ester]day', yesterday's date (according to UTC)
.PP
Note: The output format of durations (specified via \fB\-f\fR) takes all format
specifiers into account, i.e. specifying %M and %S for example prints
the duration in minutes and seconds, whereas specifying %S only prints
the duration in seconds.
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Suppress message about date and duration parser
errors.
.TP
\fB\-f\fR, \fB\-\-format\fR=\fISTRING\fR
Output format as passed to dt_strft(), this can
either be a spec string (similar to strftime()'s
FMT) or the name of a time spec.
.TP
\fB\-i\fR, \fB\-\-input\-format\fR=\fISTRING\fR
Input format as passed to dt_strpt(), can be used
multiple times.
Each TIME will be passed to the input format
parsers in the order they are given, if TIME can
be read successfully with a given input format
that value will be used.
.TP
\fB\-e\fR, \fB\-\-backslash\-escapes\fR
Enable interpretation of backslash escapes in the
output and input format strings
.TP
\fB\-\-from\-zone\fR=\fIZONE\fR
Interpret dates on stdin or the command line as
coming from the time zone ZONE
.SH EXAMPLES

  % ddiff 2012-03-02 2012-03-02
  0


  % ddiff 2012-03-02 2012-03-12
  10


  % ddiff 2012-03-02 2012-04-12
  41


  % ddiff 2012-03-12 2012-04-02
  21


  % ddiff 2012-04-02 2012-03-12
  -21


  % ddiff 2012-04-02 2012-03-12
  -21


  % ddiff 2012-01-02 2012-02-29 -f '%dd'
  58d


  % ddiff 2012-01-02 2012-02-29 -f '%ww %dd'
  8w 2d


  % ddiff 10:00:00 10:00:00
  0s


  % ddiff 10:01:00 10:06:00
  300s


  % ddiff 10:06:00 10:01:00
  -300s


  % ddiff 10:01:00 11:03:10 -f '%S sec'
  3730 sec


  % ddiff 10:01:00 11:03:10 -f '%Mm %Ss'
  62m 10s


  % ddiff 10:01:00 11:03:10 -f '%H:%M:%S'
  1:2:10


  % ddiff 2012-03-02T10:04:00 2012-03-02T10:14:00
  600s


  % ddiff 2012-03-02T10:04:00 2012-03-02T10:14:00 -f '%M min'
  10 min


  % ddiff 2012-03-01T12:17:00 2012-03-02T14:00:00
  92580s


  % ddiff 2012-03-01T12:17:00 2012-03-02T14:00:00 -f '%d days and %S seconds'
  1 days and 6180 seconds


  % ddiff 2012-03-02 2012-03-02
  0


  % ddiff 2012-03-02 2012-03-12
  10


  % ddiff 2012-03-02 2012-04-12
  41


  % ddiff 2012-03-12 2012-04-02
  21


  % ddiff 2012-04-02 2012-03-12
  -21


  % ddiff 2012-04-02 2012-03-12
  -21


  % ddiff 2012-01-02 2012-02-29 -f '%dd'
  58d


  % ddiff 2012-01-02 2012-02-29 -f '%ww %dd'
  8w 2d


  % ddiff 10:00:00 10:00:00
  0s


  % ddiff 10:01:00 10:06:00
  300s


  % ddiff 10:06:00 10:01:00
  -300s


  % ddiff 10:01:00 11:03:10 -f '%S sec'
  3730 sec


  % ddiff 10:01:00 11:03:10 -f '%Mm %Ss'
  62m 10s


  % ddiff 10:01:00 11:03:10 -f '%H:%M:%S'
  1:2:10


  % ddiff 2012-03-02T10:04:00 2012-03-02T10:14:00
  600s


  % ddiff 2012-03-02T10:04:00 2012-03-02T10:14:00 -f '%M min'
  10 min


  % ddiff 2012-03-01T12:17:00 2012-03-02T14:00:00
  92580s


  % ddiff 2012-03-01T12:17:00 2012-03-02T14:00:00 -f '%d days and %S seconds'
  1 days and 6180 seconds
.SH "FORMAT SPECS FOR DURATIONS"

Durations are somewhat ambiguous when it comes to representing them
through format specifiers.  Unlike point-in-time representations
durations specifiers can have an intra-line relationship.  So for
instance a duration of 128 seconds might be presented through @samp{%S}
as @samp{128} but similarly through @samp{%M:%S} as @samp{02:08}.

Date specs:
  %c  Equivalent to %w
  %d  Durations in days
  %F  Equivalent to %dd with no resorting to bigger units
  %m  Durations in months
  %w  Durations in weeks
  %y  Equivalent to %Y
  %Y  Durations in years

  %db Duration in business days
  %dB Equivalent to %db

Time specs:
  %H  Durations in hours
  %I  Equivalent to %H
  %M  Durations in minutes
  %S  Durations in seconds
  %T  Equivalent to %Ss without resorting to bigger units

  %rS Durations in real-life seconds, as in including leap seconds
  %rT Equivalent to %rSs without resoring to bigger units

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character


Durations are somewhat ambiguous when it comes to representing them
through format specifiers.  Unlike point-in-time representations
durations specifiers can have an intra-line relationship.  So for
instance a duration of 128 seconds might be presented through @samp{%S}
as @samp{128} but similarly through @samp{%M:%S} as @samp{02:08}.

Date specs:
  %c  Equivalent to %w
  %d  Durations in days
  %F  Equivalent to %dd with no resorting to bigger units
  %m  Durations in months
  %w  Durations in weeks
  %y  Equivalent to %Y
  %Y  Durations in years

  %db Duration in business days
  %dB Equivalent to %db

Time specs:
  %H  Durations in hours
  %I  Equivalent to %H
  %M  Durations in minutes
  %S  Durations in seconds
  %T  Equivalent to %Ss without resorting to bigger units

  %rS Durations in real-life seconds, as in including leap seconds
  %rT Equivalent to %rSs without resoring to bigger units

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character
.SH BUGS
  Report them to: https://github.com/hroptatyr/dateutils/issues
.SH AUTHOR
  Written by Sebastian Freundt <freundt@fresse.org>
.SH "SEE ALSO"
The full documentation for
.B ddiff
is maintained as a Texinfo manual.  If the
.B info
and
.B ddiff
programs are properly installed at your site, the command
.IP
.B info (dateutils)ddiff
.PP
should give you access to the complete manual.
